local S = ladders_3d.translator
local register = ladders_3d.register
local basedef = core.registered_nodes['ethereal:crystal_block']
local ingot = 'ethereal:crystal_ingot'


local texture = ('(([combine:14x14:-1,-1=+b)^[resize:16x16)^+s'):gsub('%+%w+',{
    ['+b'] = basedef.tiles[1],
    ['+s'] = '(ladders_3d_asuna_shading_mask.png^[opacity:36)'
})


register('ethereal_crystal', {
    description = S('Crystal Ladder'),
    tiles = { texture },
    image = '('..texture..'^[mask:ladders_3d_asuna_inventory_mask.png)',
    sounds = basedef.sounds,
    light = basedef.light_source,
    groups = basedef.groups,
    recipe = {
        { ingot, '',    ingot },
        { ingot, ingot, ingot },
        { ingot, '',    ingot }
    },
    uncraft = ingot
})
